PCLEventProducer (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.pcl

## Interface PCLEventProducer

-     public interface PCLEventProducer

  Event producer interface for events generated by the PCL renderer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PCLEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fontTypeNotSupported(java.lang.Object source, java.lang.String fontName, java.lang.String supportedTypes)` The font type is not supported for PCL output.
    `void` | `paperTypeUnavailable(java.lang.Object source, long pageWidth, long pageHeight, java.lang.String fallbackPaper)` Paper type could not be determined.

- - ### Method Detail

    - #### paperTypeUnavailable

          void paperTypeUnavailable(java.lang.Object source,
                                    long pageWidth,
                                    long pageHeight,
                                    java.lang.String fallbackPaper)

      Paper type could not be determined. Falling back to another.
      Parameters:
        `source` - the event source
        `pageWidth` - the page width (in millipoints)
        `pageHeight` - the page height (in millipoints)
        `fallbackPaper` - the paper type that will be used instead
      Event severity level:
        WARN

    - #### fontTypeNotSupported

          void fontTypeNotSupported(java.lang.Object source,
                                    java.lang.String fontName,
                                    java.lang.String supportedTypes)

      The font type is not supported for PCL output.
      Parameters:
        `source` - The event source
        `fontName` - The name of the font not supported
        `supportedTypes` - The types of fonts currently supported
      Event severity level:
        ERROR

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.